Skip to main content
GET
/
partitions
/
{partitionKey}
/
v1
/
collections
/
{collectionKey}
/
resources
/
{resourceId}
Retrieve a resource from a data partition
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/partitions/{partitionKey}/v1/collections/{collectionKey}/resources/{resourceId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "data": {},
  "meta": {
    "createdAt": "2023-11-07T05:31:56Z",
    "identifier": [
      {
        "id": "<string>",
        "system": "<string>",
        "value": "<string>",
        "use": "<string>",
        "period": {
          "id": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ],
    "source": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "contained": {},
  "includes": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

partitionKey
string
required
collectionKey
string
required
resourceId
string
required

The resource ID. Can also be an identifier with one of the following formats:

  • source:{sourceRecordId}:{sourceKey}.{sourceRecordType} (e.g. source:123:mySourceA.clinic). This is useful to fetch a record when knowing its source record id.
  • mdm:{unifiedRecordId}:old (e.g. mdm:123:old). This is useful to fetch a unified record id that does not exist anymore after being merged.

Query Parameters

includes
string[]

This field is deprecated and will be removed in a future version. Consider using the BrowseIncludes endpoint instead.

List of include keys to include with the response. It can be used to include relationship (e.g. worksAt) and related resources (e.g. worksAt.clinic).

Response

A successful response.

The included resources or relationships. All odd number of path segments are relationships, and all even number of path segments are Resources.

id
string
required
read-only
type
string
required
read-only

Type of the resource.

data
The dynamic attributes based on the resource type · object
required
meta
object
contained
object

Resources contained in this top-level resource. Contained resources exists only within the context of this top-level resource.

includes
object